org.apache.struts2.components.template

## Class BaseTemplateEngine

- java.lang.Object
- - org.apache.struts2.components.template.BaseTemplateEngine

- All Implemented Interfaces:
    TemplateEngine
  Direct Known Subclasses:
    FreemarkerTemplateEngine, JspTemplateEngine, VelocityTemplateEngine

      public abstract class BaseTemplateEngine
      extends Object
      implements TemplateEngine

  Base class for template engines.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `DEFAULT_THEME_PROPERTIES_FILE_NAME` The default theme properties file name.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BaseTemplateEngine()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected String` | `getFinalTemplateName(Template template)`
    `protected abstract String` | `getSuffix()`
    `protected String` | `getThemePropertiesFileName()`
    `Map` | `getThemeProps(Template template)` Get's the properties for the given template.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.struts2.components.template.TemplateEngine

      `renderTemplate`

- - ### Field Detail

    - #### DEFAULT_THEME_PROPERTIES_FILE_NAME

          public static final String DEFAULT_THEME_PROPERTIES_FILE_NAME

      The default theme properties file name. Default is 'theme.properties'
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### BaseTemplateEngine

          public BaseTemplateEngine()

  - ### Method Detail

    - #### getThemeProps

          public Map getThemeProps(Template template)

      Description copied from interface: `TemplateEngine`
      Get's the properties for the given template.
      Specified by:
        `getThemeProps` in interface `TemplateEngine`
      Parameters:
        `template` - the template.
      Returns:
        the properties as key value pairs.

    - #### getFinalTemplateName

          protected String getFinalTemplateName(Template template)

    - #### getThemePropertiesFileName

          protected String getThemePropertiesFileName()

    - #### getSuffix

          protected abstract String getSuffix()

Copyright © 2000–2022 Apache Software Foundation. All rights reserved.